<template>
  <Story title="AddressItem from">
    <Variant title="from">
      <AddressItem :address="from" @update="logEvent('update', $event)" />

      <template #controls>
        <HstText v-model="from.city" title="city" />

        <HstJson v-model="from" title="From" />
      </template>
    </Variant>
    <Variant title="to">
      L'adresse fournie n'a pas toutes les propriétés.
      <AddressItem :address="to" />

      <template #controls>
        <HstText v-model="to.city" title="city" />

        <HstJson v-model="to" title="To" />
      </template>
    </Variant>
  </Story>
</template>

<script>
import AddressItem from "./AddressItem.vue";
import { logEvent } from "histoire/client";

export default {
  components: {
    AddressItem,
  },
  data() {
    return {
      from: {
        label: "Origine",
        road: "11 rue du Marchix",
        zipCode: "44000",
        city: "Nantes",
        complement: "Makina Corpus",
        country: "Pays de la Loire", // ici, nous ne déclarons pas la variable "state"
      },
      to: {
        road: "rue riquet",
        zipCode: "31000",
        city: "Toulouse",
        state: "France",
      },
    };
  },
  methods: {
    logEvent,
  },
  mounted() {},
};
</script>

<docs lang="md">
# AddressItem component

This component helps to display an address.

Two buttons are also available to explicit the user want to update the current address or want to search.

    # pouet

    code

```html
<html>
  <head></head>
  <body></body>
</html>
```
</docs>
